Zid Docs
AppsThemesPayments
AppsThemesPayments
Help Center
Slack
  1. Webhooks
  • Overview
  • Merchant Activation
  • Payment
    • Overview
    • Embedded Payment
    • Gateway Error Codes
    • Direct Payment
      POST
    • Execute Payment Request
      POST
    • Get payment status
      GET
  • ApplePay
    • ApplePay Checkout
    • Register ApplePay Domain
      POST
    • Providing Merchant Validation
      POST
  • Refund
    • Request Refund
      POST
  • Webhooks
    • Overview
    • Link Merchant Event
      POST
    • Payment Paid Event
      POST
    • Refund Event
      POST
  1. Webhooks

Refund Event

POST
https://api.zid.sa//api/webhook/v1/thirdpartywebhook
Once a refund request is processed, the status success / failure needs to be communicated with Zid Payments system through this webhook endpoint.

Request

Header Params

Body Params application/json

Examples

Responses

🟢200Success
application/json
Bodyapplication/json

🟠401Unauthorized
🔴500Internal Server error
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.zid.sa//api/webhook/v1/thirdpartywebhook' \
--header 'Authorization: Authorization: Basic secret_key' \
--header 'Content-Type: application/json' \
--data '{
    "type": "object",
    "example": {
        "type": "refund_status_changed",
        "thirdPartyId": 1,
        "merchantId": "45cb5978-c6cd-4e34-bd93-de6bee9b3cae",
        "data": {
            "refundId": "9f4b5fa0-bd22-40e4-b3ad-e6742f37a102",
            "refundReference": "f781d5fa-9e8d-49b5-92a2-37321d5c8c4f",
            "refundStatus": "refunded",
            "amount": 5000
        }
    }
}'
Response Response Example
200 - Example 1
{}
Modified at 2026-01-30 20:55:20
Previous
Payment Paid Event
Built with